import React from "react";
import Layout from "../components/base/layout";
import Form from "../components/top-level/form";
import Tasks from "../components/top-level/tasks";
import { useAppContext } from "../app-context/index";

import { useEffect } from "react";
export default function Pages() {
  const { todo, addTodo, getTodos, deleteTodo, updateTodo } = useAppContext();
  useEffect(() => {
    getTodos();
  }, []);
  return (
    <>
      <Layout count={todo?.filter((e) => !e.isCompleted).length}>
        {todo?.length > 0 ? (
          <Tasks tasks={todo} onChange={updateTodo} onDelete={deleteTodo} />
        ) : (
          <h3>No task</h3>
        )}
        <Form onSubmit={addTodo} />
      </Layout>
    </>
  );
}
